"use strict";

const core = require("../core");

module.exports = function () {
	return core.createSingleFileTransform({
		displayName: "Dummy transform",
		// stream: where 'contents' is a stream
		supportsStreams: true,
		// virtual files: files with a contents buffer/stream but without a path
		supportsVirtualFiles: true,
		// virtual filesystem: not-on-disk, eg. for includes of transformed files
		supportsVirtualFilesystem: true,
		transform: (file) => {
			return file;
		}
	});
};
